Fedora 17 and passenger-install-apache2-module problem

People,

I have seen a comment that Phusion does not support Ruby 1.9 on Fedora
17 yet? - has anyone got this build script working on F17 x86_64? - I
get errors that I can find no help for by Googling.

I can supply a 70KB output file if someone could help with this problem

  • the tail of which is:

ext/boost/exception/info.hpp:172:69: required from ‘const E&
boost::exception_detail::set_info(const E&, const boost::error_info<Tag,
T>&) [with E = boost::unknown_exception; Tag =
boost::tag_original_exception_type; T = const std::type_info*]’
ext/boost/exception/info.hpp:193:46: required from ‘typename
boost::enable_if<boost::exception_detail::derives_boost_exception,
const E&>::type boost::operator<<(const E&, const boost::error_info<Tag,
T>&) [with E = boost::unknown_exception; Tag =
boost::tag_original_exception_type; T = const std::type_info*; typename
boost::enable_if<boost::exception_detail::derives_boost_exception,
const E&>::type = const boost::unknown_exception&]’
ext/boost/exception/detail/exception_ptr.hpp:134:13: required from
‘void boost::unknown_exception::add_original_type(const E&) [with E =
std::exception]’
ext/boost/exception/detail/exception_ptr.hpp:113:32: required from
here
ext/boost/checked_delete.hpp:34:5: warning: deleting object of
polymorphic class type
‘boost::error_info<boost::tag_original_exception_type, const
std::type_info*>’ which has non-virtual destructor might cause undefined
behaviour [-Wdelete-non-virtual-dtor]
rake aborted!
Command failed with status (1): [g++ -Iext -Iext/common -Iext/libev
-fPIC -…]

Tasks: TOP => apache2 => ext/apache2/mod_passenger.so =>
ext/apache2/module_libpassenger_common.a =>
ext/apache2/module_libpassenger_common/aggregate.o

Thanks,

Phil.

Philip R.

GPO Box 3411
Sydney NSW 2001
Australia
E-mail: [email protected]

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs